---
title: "Non-Forfeiture Transaction"
url: "https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84/operations/nonForfeiture1"
---

> Full API specification: https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84.md

# Non-Forfeiture Transaction

`POST` `/policy/v1/transactions/{planCode}/{policyNumber}/nonforfeiture`

Operation ID: `nonForfeiture1`

## Path parameters

- `planCode` (string, required)
- `policyNumber` (string, required)

## Request body (required)

Content types: `application/json`

## Responses

- `202` - Success
- `500` - Unexpected error occured, please check server logs

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia Policy Transactions API.
  version: 1.0.8
servers:
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
paths:
  /policy/v1/transactions/{planCode}/{policyNumber}/nonforfeiture:
    post:
      x-kong-plugin-pre-function:
        config:
          access:
            - >
              local path = kong.request.get_path()

              local new_path = path:gsub("^/policy/v1/transactions",
              "/bpm/v1/policies")

              kong.service.request.set_path(new_path)
      tags:
        - Non Financial Transactions
      summary: Non-Forfeiture Transaction
      operationId: nonForfeiture1
      parameters:
        - name: planCode
          in: path
          required: true
          schema:
            type: string
        - name: policyNumber
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/Nonforfeiture"
      responses:
        "202":
          description: Success
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionAcceptedResponse"
        "500":
          description: Unexpected error occured, please check server logs
      security:
        - Auth0: []
security:
  - Auth0: []
components:
  schemas:
    Nonforfeiture:
      type: object
      properties:
        planCode:
          type: string
          example: string
          description: planCode (may duplicate path parameter)
        policyNumber:
          type: string
          example: string
          description: policyNumber (may duplicate path parameter)
        correlationId:
          type: string
          example: string
        carrierId:
          type: string
          example: string
        policyFeatures:
          type: array
          items:
            type: object
            properties:
              featureType:
                type: string
                example: string
              featureOption:
                type: string
                example: string
              startDate:
                type: string
                example: YYYY-MM-DD
        signatures:
          type: array
          items:
            type: object
            properties:
              isSignedPresent:
                type: boolean
                example: true
              signDate:
                type: string
                example: YYYY-MM-DD
              signDesignation:
                type: string
                example: string
              signType:
                type: string
                example: string
              signTypeForUI:
                type: string
                example: string
        documents:
          type: array
          items:
            type: object
            properties:
              documentId:
                type: string
                example: string
              documentType:
                type: string
                example: string
              documentDate:
                type: string
                example: YYYY-MM-DD
              caseId:
                type: string
                example: string
              policyNumber:
                type: string
                example: string
                description: policyNumber (may duplicate path parameter)
              planCode:
                type: string
                example: string
                description: planCode (may duplicate path parameter)
        supportingDocumentAttached:
          type: boolean
          example: true
        parties:
          type: array
          items:
            type: object
            properties:
              partyId:
                type: string
                example: string
              partyRole:
                type: string
                example: string
              partyType:
                type: string
                example: string
              paymentForm:
                type: string
                example: string
              paymentMethod:
                type: string
                example: string
              ownershipPercentage:
                type: integer
                example: 0
              forBenefitOfOrForFurtherCredit:
                type: string
                example: string
              personalInformation:
                type: object
                properties:
                  firstName:
                    type: string
                    example: string
                  middleName:
                    type: string
                    example: string
                  lastName:
                    type: string
                    example: string
                  fullName:
                    type: string
                    example: string
                  gender:
                    type: string
                    example: string
                  dateOfBirth:
                    type: string
                    example: YYYY-MM-DD
                  birthCountry:
                    type: string
                    example: string
                  citizenshipCountry:
                    type: string
                    example: string
                  birthState:
                    type: string
                    example: string
              organisationDetails:
                type: object
                properties:
                  fullName:
                    type: string
                    example: string
                  organizationCode:
                    type: string
                    example: string
                  entityType:
                    type: string
                    example: string
                  trustDate:
                    type: string
                    example: YYYY-MM-DD
                  trustType:
                    type: string
                    example: string
                  trustTitle:
                    type: string
                    example: string
              addresses:
                type: array
                items:
                  type: object
                  properties:
                    addressId:
                      type: string
                      example: string
                    addressType:
                      type: string
                      example: string
                    line1:
                      type: string
                      example: string
                    line2:
                      type: string
                      example: string
                    line3:
                      type: string
                      example: string
                    city:
                      type: string
                      example: string
                    state:
                      type: string
                      example: string
                    postalCode:
                      type: string
                      example: string
                    postalCodeExtension:
                      type: string
                      example: string
                    country:
                      type: string
                      example: string
              bankDetails:
                type: object
                properties:
                  bankId:
                    type: string
                    example: string
                  nameOnAccount:
                    type: string
                    example: string
                  accountStatus:
                    type: string
                    example: string
                  accountType:
                    type: string
                    example: string
                  accountNumber:
                    type: string
                    example: string
                  routingNumber:
                    type: string
                    example: string
                  ibanNumber:
                    type: string
                    example: string
                  financialInstitutionName:
                    type: string
                    example: string
                  branchName:
                    type: string
                    example: string
                  bankAccountPurpose:
                    type: string
                    example: string
                  address:
                    type: object
                    properties:
                      addressId:
                        type: string
                        example: string
                      addressType:
                        type: string
                        example: string
                      line1:
                        type: string
                        example: string
                      city:
                        type: string
                        example: string
                      state:
                        type: string
                        example: string
                      postalCode:
                        type: string
                        example: string
                      country:
                        type: string
                        example: string
              identifications:
                type: array
                items:
                  type: object
                  properties:
                    identificationType:
                      type: string
                      example: string
                    identificationValue:
                      type: string
                      example: string
                    issueState:
                      type: string
                      example: string
                    issueCountry:
                      type: string
                      example: string
                    expirationDate:
                      type: string
                      example: YYYY-MM-DD
    TransactionAcceptedResponse:
      type: object
      properties:
        correlationId:
          type: string
          example: 3a2a3435-2089-4b81-9959-e0d569ccf4f0
          description: Unique identifier which used by every system to trace the request
        caseId:
          type: string
          example: CA0000369469
          description: Zinnia Live Case ID
        caseStatus:
          type: string
          example: IN_PROGRESS
          description: Zinnia Live Case Status
        pdfId:
          type: string
          description: Identifier for the generated or associated PDF document (e.g.
            OnBase document number). Returned on systematic program setup and
            update submit when available.
          example: DOC-10004567
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.qa.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://qa.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://qa.api.zinnia.io
          client_id:
            - client_id
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
